package com.bofeng.controller;

import com.bofeng.entity.SysArea;
import com.bofeng.service.SysAreaService;
import com.yvan.Model;
import com.yvan.mvc.Pd;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class WxSysAreaController {

    @Autowired
    private SysAreaService sysAreaService;

    @GetMapping("/admin/selectProvince")
    public Model<List<SysArea>> selectProvince() {
        return Model.newSuccess(sysAreaService.selectProvince());
    }

    @GetMapping("/admin/selectCityByProvince")
    public Model<List<SysArea>> selectCityByProvince(@Pd(name = "areaId") Long areaId) {
        return Model.newSuccess(sysAreaService.selectCityByProvince(areaId));
    }

    @GetMapping("/admin/selectAreaByCity")
    public Model<List<SysArea>> selectAreaByCity(@Pd(name = "areaId") Long areaId) {
        return Model.newSuccess(sysAreaService.selectAreaByCity(areaId));
    }

}
